> For the complete documentation index, see [llms.txt](https://docs.raga.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.raga.ai/ragaai-catalyst/ragaai-metric-library/additional-metrics/evaluation/sentiment-analysis.md).

# Sentiment Analysis

**Objective**: The test provides a sentiment score for the model response

**Required Parameters**: Response

**Interpretation**: Higher score indicates the model response was positive, the test can be used to put a guard on negative sentiment responses from the model

* \*\* Example with higher score\*\*:
  * Response: "The movie was good"
* \*\* Example with lower score\*\*:
  * Response: "The movie was so bad that I have decided not to watch any further movies"

```python
# Add tests with custom data
evaluator.add_test(
    test_names=["sentiment_analysis_test"],
    data={
        "response" : "The movie was good"
    },
    arguments={"model": "gpt-4", "threshold": 0},
).run()

evaluator.print_results()
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.raga.ai/ragaai-catalyst/ragaai-metric-library/additional-metrics/evaluation/sentiment-analysis.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
